GNU bug report logs - #65600
[PATCH] Allow parameters AM_PROG_LEX

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake-patches; Reported by: Bogdan <bogdro_rep@HIDDEN>; Keywords: patch; merged with #65730; dated Tue, 29 Aug 2023 18:58:02 UTC; Maintainer for automake-patches is automake-patches@HIDDEN.
Merged 65600 65730. Request was from Karl Berry <karl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 65600 <at> debbugs.gnu.org:


Received: (at 65600) by debbugs.gnu.org; 6 Sep 2023 09:07:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 06 05:07:18 2023
Received: from localhost ([127.0.0.1]:60827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qdoVJ-0005q3-OC
	for submit <at> debbugs.gnu.org; Wed, 06 Sep 2023 05:07:17 -0400
Received: from mout.gmx.net ([212.227.17.22]:34817)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bogdro_rep@HIDDEN>)
 id 1qdoVG-0005pg-QN; Wed, 06 Sep 2023 05:07:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.us;
 s=s31663417; t=1693991220; x=1694596020; i=bogdro_rep@HIDDEN;
 bh=QDJOLYj6OqIxa1txO4D/8po7POiKXAraNYN7Hv3jaCg=;
 h=X-UI-Sender-Class:Date:Subject:To:Cc:References:From:In-Reply-To;
 b=hhnUXE0FqUoFoAdzMxwaGWfkbsclcT/ycT2i+imz636cL32++mSoQqIgFeQwBdPc6bY81OF
 U6/IDV2UmUicc5HD/hyKm6SUGe6Mi8E10IibFP9UUaPoD7tt3xJ4KM/W2Qo32kwFB1uHXPcsE
 f2kXz+mJbq4/ho91QIWEXYNx84VkUh3xmnbba7BXNnzEBVt0jM2sucKw705lQMw+aA0yDJg3p
 +HSAahtwR5E8UZ39/mX82UrjTz/8ycb589h3EXNEydpXMBqcZPzy//lPwUDcTzLPc2IfiHj2E
 swOCoc2YE4oD2gBtVxKd/1ZjbSs+TLMpiQhDOq2NdYU3dAXMulEg==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from [192.168.0.4] ([83.255.207.180]) by mail.gmx.net (mrgmx105
 [212.227.17.174]) with ESMTPSA (Nemesis) id 1MCbEp-1qVsGt2mxf-009isW; Wed, 06
 Sep 2023 11:07:00 +0200
Message-ID: <e4e654f6-579b-b325-1ba4-009fe3b4f1e1@HIDDEN>
Date: Wed, 6 Sep 2023 11:06:56 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.15.0
Subject: Re: [bug#65600] [PATCH] Allow parameters AM_PROG_LEX
Content-Language: en-GB
To: Karl Berry <karl@HIDDEN>, zack@HIDDEN
References: <202309052115.385LFGfv030280@HIDDEN>
From: Bogdan <bogdro_rep@HIDDEN>
In-Reply-To: <202309052115.385LFGfv030280@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:j/lt4/zcgvZq3ssbAVW81CxDyaKDKZ5ytw6ZD9e+moC9vh099Kf
 yKLiMZnVD0JZTUVZwS2riY5LCMsBWOyK9hP/DfyLstfep2SjQwDdP4lpsyAufwLpodMhGPJ
 L5p6e4RkZLu05eNzMqh9RSQNS+4clNeeRhL+ERJEej47sddMDMRbMhcqPCWBlKQ58vzuZRb
 yg+8HiJgxLw/dh1a6ZGbg==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:7AIiN1llYWM=;bRAI3UfN4FitRaJtVu14p1SNVF5
 /kNGGX69kBHB3kTbHCikgfljviiBO5SMem8tMtBuWdfqWH95uheySAk1+bXC9of/AVELeo02G
 HVOlXi4IIiDssMhiKQCLepHVPvP/CiGv0GC+OZMraFasaXnzacDs8aDBALvVSLeKjAKolDgid
 aC/NeaE5b/k8DQG5o0Sxkcotvb2zjCIl8XqeM7/4a7oK5P904i3YllrLm7SdPGvQp4sN7EFsP
 wYTyXWQ8u3ljG76DmyukVav8hm2tfzgOvHsMO8SH3lZXf1AbNMDxtnArEXH8JBAdE6C40HQHL
 AWI+U9380wrrc7b5YnQ8w3Jl9XiMdJ4K2Fkj6MynrnAhOTuQqzwVklIKhsH699sQh+45mXZpq
 o8q6S9PXu5cUT7yxpXzamlIZj9G3VZw/vrpyhem0p+qCXwNvy3LkhX8Xvkqm0j00bap76IgLJ
 t3DJndyJPLCkoPj7yEzMYYasH7jrpfLaSpkIbpTI0pL0rUWhm5DUxsLrxfVoBT+EYsDAuLVqK
 z/q9MSuObHeWA01LJoqourGkeHl2YsvjxBdY8qnGB8wC8ThJAUnAL1bwV3wenwza8Dvj0f4//
 5dCdtQKEUePwdc+l5LgKH4Q5VK6vpebMhNRCia4b8a2qh1vTw4Ogowz3eHm+dwK7Sdxf2d86S
 LfRh7P4lBLzMXcPBmV1XIeCCv+iu7SVun7DfdjQzT0p76IdRnFNPZHvbWORa25weh5NMfmPJV
 CV3rz6JXxpkMq48HaTUlTMLO5kVoq0ANaMz+4k4w1R4GjcfMaosN5Q3o6tVOvMRF1bDkCI6+r
 +natLhwoDeZhPy0Z/1QvKmEPdtsyQ8S440glTy1rNHjNbwXZEMZTIx/78q/KEAdqqCp1s8VSt
 5FP7WVAFBV569Qmm3uZLZ9f0xMmC6S9WG1O+OUtoQ3JlqUluC8kDrp5qILVlLctF+IDJpCO0d
 9eBlESyMKu5ckZErYlvvu3WVIbw=
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 65600
Cc: 65730 <at> debbugs.gnu.org, nbowler@HIDDEN, 65600 <at> debbugs.gnu.org,
 stlman@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.2 (---)

Karl Berry <karl@HIDDEN>, Tue Sep 05 2023 23:15:16 GMT+0200
(Central European Summer Time)
>      Karl: The same problem was also reported as bug 65730, with a patch
>
> Thanks Zack. I had just composed a reply saying just about exactly the
> same thing as you wrote :).
>
> I will merge the patches and try Bogdan's test, no problem. -k
>
> P.S. Bogdan, sorry that I wasn't thinking more clearly when I asked you
> to write the more complicated version.


  No problem, new "experience points" earned :). M4 and all Autoconf
macros (knowledge about their existence) are still a bit out of my
range. Especially AC_PROVIDE_IFELSE, which I don't even have in my
Autoconf manual (it *is* found in the code, but not in the manual)...

Bogdan





Information forwarded to automake-patches@HIDDEN:
bug#65600; Package automake-patches. Full text available.

Message received at 65600 <at> debbugs.gnu.org:


Received: (at 65600) by debbugs.gnu.org; 5 Sep 2023 21:15:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 05 17:15:22 2023
Received: from localhost ([127.0.0.1]:59648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qddOL-0004NH-U9
	for submit <at> debbugs.gnu.org; Tue, 05 Sep 2023 17:15:22 -0400
Received: from frenzy.freefriends.org ([198.99.81.75]:59022
 helo=freefriends.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <karl@HIDDEN>)
 id 1qddOJ-0004N3-7W; Tue, 05 Sep 2023 17:15:20 -0400
X-Envelope-From: karl@HIDDEN
Received: from freefriends.org (localhost [127.0.0.1])
 by freefriends.org (8.14.7/8.14.7) with ESMTP id 385LFHis030281
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT); 
 Tue, 5 Sep 2023 15:15:17 -0600
Received: (from apache@localhost)
 by freefriends.org (8.14.7/8.14.7/Submit) id 385LFGfv030280;
 Tue, 5 Sep 2023 15:15:16 -0600
Date: Tue, 5 Sep 2023 15:15:16 -0600
Message-Id: <202309052115.385LFGfv030280@HIDDEN>
From: Karl Berry <karl@HIDDEN>
To: zack@HIDDEN
Subject: Re: [bug#65600] [PATCH] Allow parameters AM_PROG_LEX
In-Reply-To: <0e28c1e5-7c88-41de-94fc-540b0218a280@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 65600
Cc: 65730 <at> debbugs.gnu.org, bogdro_rep@HIDDEN, stlman@HIDDEN,
 65600 <at> debbugs.gnu.org, nbowler@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

    Karl: The same problem was also reported as bug 65730, with a patch

Thanks Zack. I had just composed a reply saying just about exactly the
same thing as you wrote :).

I will merge the patches and try Bogdan's test, no problem. -k

P.S. Bogdan, sorry that I wasn't thinking more clearly when I asked you
to write the more complicated version.




Information forwarded to automake-patches@HIDDEN:
bug#65600; Package automake-patches. Full text available.

Message received at 65600 <at> debbugs.gnu.org:


Received: (at 65600) by debbugs.gnu.org; 5 Sep 2023 19:50:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 05 15:50:42 2023
Received: from localhost ([127.0.0.1]:59414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qdc4Q-0005Cb-9s
	for submit <at> debbugs.gnu.org; Tue, 05 Sep 2023 15:50:42 -0400
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:53113)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zack@HIDDEN>)
 id 1qdc4L-0005CG-HH; Tue, 05 Sep 2023 15:50:39 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.west.internal (Postfix) with ESMTP id 15C4C32007CF;
 Tue,  5 Sep 2023 15:50:30 -0400 (EDT)
Received: from imap45 ([10.202.2.95])
 by compute1.internal (MEProxy); Tue, 05 Sep 2023 15:50:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=owlfolio.org; h=
 cc:cc:content-transfer-encoding:content-type:content-type:date
 :date:from:from:in-reply-to:in-reply-to:message-id:mime-version
 :references:reply-to:sender:subject:subject:to:to; s=fm3; t=
 1693943429; x=1694029829; bh=AAn0I28gJnfxQ1Xw66eEoYWtAHTUXh0i1RL
 8kfpChiY=; b=LDK51pxr6UOpfvgTlj6aX/MDRPMmx7VIxaBdXihkc36MFKySAlm
 CcamCuICAtPyPcO75a15+7AnqPcjJ/8/GqdstP8PE/WXwgj3pW76uISOj9d5bHCk
 fC2x++HIrP+Dvqqs2EMoKtOz27NTkPchLbtKovCek4cgOgJa5exvMVyzox1e6oGL
 HK6+lo49+A92mJjqyoBG3Q4fO2bAcBGIZjz2kDEpn015hwUOAKn7TZcnK0/+W9IH
 QUY7tjA489HOK+JkX5mWUPYUqtobkbgBP63g95zutCJmkqXwKVuUFfNlb38gZIPV
 /vffHkRZNMkTZT9RLCawosXzGWpeIc6VpSg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding
 :content-type:content-type:date:date:feedback-id:feedback-id
 :from:from:in-reply-to:in-reply-to:message-id:mime-version
 :references:reply-to:sender:subject:subject:to:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; t=
 1693943429; x=1694029829; bh=AAn0I28gJnfxQ1Xw66eEoYWtAHTUXh0i1RL
 8kfpChiY=; b=TQ6iT0W39SWv4XMzp3FSH7V5F7DiylSh4CpR7THAC1GF1aTP7bg
 JOc1YHNP/hGbQdyrcK0MNDbTNE7+jfLfrwV+2hazg2EcFgtXfZHM59Us+aCGQmsG
 dM9b3Kl1JDacm9IIAXCIMDlFb05Tgx/NeiuJrD56QDpqH6QuSYjfu6b86xW1aAtg
 ubO9lgu9KfzDnosJc7fz/Qf6GhlgMnph+fz3O6En+3kwueFGozBZJ+RbC+SZrFpE
 dh5YWyx1h1NcDJ+WUd6nDLheAeJv7x5OGVWTamHiOAdMxnadNV1WYm87HBbYGaa5
 hb2LGni+Zkioy0hGqw69NrUl0z974/YaFpQ==
X-ME-Sender: <xms:hYb3ZKvNwGz6IK--aTop-GfyKDTuxiQF56_4J-c4sjFFt9QE4p_oig>
 <xme:hYb3ZPdPebLHHKIs0iiS8faOHlXF8FrQpEhESGvHsOgY0r3Xy7a_edGVlFw0zTehI
 X5HqWaOS6CXh_NNxy8>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedviedrudehuddguddvtdcutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefofgggkfgjfhffhffvvefutgfgsehtqhertderreejnecuhfhrohhmpedf
 kggrtghkucghvghinhgsvghrghdfuceoiigrtghksehofihlfhholhhiohdrohhrgheqne
 cuggftrfgrthhtvghrnhepudeuieegheffkeeihfdtheeivdeuffetveethfdugfeutdeu
 iedttefgteeiieeinecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilh
 hfrhhomhepiigrtghksehofihlfhholhhiohdrohhrgh
X-ME-Proxy: <xmx:hYb3ZFxOk9xS5z2PUiClaFWrSKAVGP3ycwfyCjTU2OVZXkYGUbx10g>
 <xmx:hYb3ZFNx0oz1ZwP3cVJIvv0s42cljb33qFNZo5zfqtzNwRqi-wbETQ>
 <xmx:hYb3ZK-WMrYr6SuSAHtzBloZrqqHtJLKIJZNmeRNlBl8s4ppixVLlg>
 <xmx:hYb3ZBaKnTaWzfL68uBFDs0K-2DJWMqp61gkzkhR9hSpMNZ_7vfluQ>
Feedback-ID: i876146a2:Fastmail
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id EF3BA272007B; Tue,  5 Sep 2023 15:50:28 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.9.0-alpha0-711-g440737448e-fm-20230828.001-g44073744
Mime-Version: 1.0
Message-Id: <0e28c1e5-7c88-41de-94fc-540b0218a280@HIDDEN>
In-Reply-To: <186fa5fe-1afb-891b-54a8-6b767168742a@HIDDEN>
References: <202308312228.37VMS4Ee023090@HIDDEN>
 <186fa5fe-1afb-891b-54a8-6b767168742a@HIDDEN>
Date: Tue, 05 Sep 2023 15:49:45 -0400
From: "Zack Weinberg" <zack@HIDDEN>
To: "Karl Berry" <karl@HIDDEN>
Subject: Re: [bug#65600] [PATCH] Allow parameters AM_PROG_LEX
Content-Type: text/plain;charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 65600
Cc: 65730 <at> debbugs.gnu.org, Bogdan <bogdro_rep@HIDDEN>,
 =?UTF-8?Q?=C5=81ukasz_Stelmach?= <stlman@HIDDEN>, 65600 <at> debbugs.gnu.org,
 Nick Bowler <nbowler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Karl Berry <karl@HIDDEN>, Fri Sep 01 2023 00:28:04 GMT+0200
> (Central European Summer Time)
>> Bogdan: I will adjust the patch, one way or another. Nothing more for
>> you to do here after all :). --thanks, karl.

Karl: The same problem was also reported as bug 65730, with a patch
supplied by =C5=81ukasz Stelmach.  That patch is preferable to Bogdan's
patch, for two reasons.  First, =C5=81ukasz's patch uses $@ to forward *=
all*
arguments to AC_PROG_LEX, regardless of what they are, making it robust
to the possibility of *more* arguments being added to AC_PROG_LEX in the
future (for example, we might decide to add an option to specify that
you need Flex specifically).  Second, =C5=81ukasz's patch checks whether
AC_PROG_LEX has already been invoked, and if so does not run it again.
That makes the updated AM_PROG_LEX continue to be compatible with the
workaround we (Autoconf) have been suggesting for this issue, namely
to write

AC_PROG_LEX([noyywrap])
AM_PROG_LEX

It looks like Bogdan's patch does include a new set of tests that are
worth preserving, but please use =C5=81ukasz's actual code change.  (I r=
egret
I cannot volunteer to merge the two patches as I am in the middle of
reinstalling the operating system on my workstation, and that's already
taken a week and a half with no end in sight.  You know how these things
go, I'm sure.)

zw




Information forwarded to automake-patches@HIDDEN:
bug#65600; Package automake-patches. Full text available.

Message received at 65600 <at> debbugs.gnu.org:


Received: (at 65600) by debbugs.gnu.org; 1 Sep 2023 09:35:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 01 05:35:50 2023
Received: from localhost ([127.0.0.1]:59887 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qc0ZB-0008VZ-Qn
	for submit <at> debbugs.gnu.org; Fri, 01 Sep 2023 05:35:50 -0400
Received: from mout.gmx.net ([212.227.17.20]:49385)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bogdro_rep@HIDDEN>) id 1qc0Z7-0008VH-L7
 for 65600 <at> debbugs.gnu.org; Fri, 01 Sep 2023 05:35:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.us;
 s=s31663417; t=1693560926; x=1694165726; i=bogdro_rep@HIDDEN;
 bh=K+FdL3AWUdLGrGeyL1++R4vmLJmayIvOv3gspa/db/4=;
 h=X-UI-Sender-Class:Date:Subject:To:Cc:References:From:In-Reply-To;
 b=nZPsc/+jWzHKCMju744sUFKOlTz84PW5QMexwahvSzyyplOwcbpwDMHtzSb2we3C7OVpZM3
 gvlTxhAglfPZZEp+6Oehex/4GcNo8AIZ2GXwSHCIJ0kZTxU1zMEguRodbMvds/XVU/ONkWpKo
 gvSheNpTWVh7JeNASuXhUx9dyKcLIKfKNVSHyn7J9na3eMJWqffuvtBWG2NgP51/88k/yu70M
 rRWfmRB1FYuM3H2wqq8OFw4Eixa2693UWDHYr+Hurb4B3AcAWYJOTwf3ZPazYOE7xsqviu3e/
 cMqJjr5nryG9QMv2JeaBs+58pNeHr+Jy4txPORTvSiQm9M7QF3hA==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from [192.168.0.4] ([83.255.207.180]) by mail.gmx.net (mrgmx105
 [212.227.17.174]) with ESMTPSA (Nemesis) id 1N3siG-1pcJEk0qTA-00zlSg; Fri, 01
 Sep 2023 11:35:26 +0200
Message-ID: <186fa5fe-1afb-891b-54a8-6b767168742a@HIDDEN>
Date: Fri, 1 Sep 2023 11:35:19 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.15.0
Subject: Re: [bug#65600] [PATCH] Allow parameters AM_PROG_LEX
Content-Language: en-GB
To: Karl Berry <karl@HIDDEN>, nbowler@HIDDEN
References: <202308312228.37VMS4Ee023090@HIDDEN>
From: Bogdan <bogdro_rep@HIDDEN>
In-Reply-To: <202308312228.37VMS4Ee023090@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:KRV+9UBrKtU+TQYCbMKkJkI8owuqKUyeap3+e9BsNvPXTUQRPbo
 /g2EWHMqvDBygjgRIL4IQUen66yqgHViHB6p33W/wGP/5f2Myiwfj3s3O+oXwRy4VA7tvrk
 wGigfP/8XGrRrAOhZirTzluxNtKT9FdvBy6GXHn5Xtom7bKEvKV1rMA/cZ2+EmuBaHRtC+E
 mtLmg8voy9NP9uf0t4Hiw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:o0nK45aU1kI=;cbQETbGJjMC5CyszxAyuBufKImA
 jXeYqrocfaJ8vLP1RWmCQ1+E7N6bCB77DcHlSseaZpjehp/E6GRJwsdq4EX+AMFs4j8PDArs1
 OwfXvKmefgvr1D5rvelhP1eAaBQoaIRyR5mdxO2UVBXZPU4eZbuTpgr33H59Nj+UvW4X8T7Lp
 bCA/F9hYblNzDJSFDpDmT4OtBhfvw8gzmQTxMrjKici4A9KbrCxednY0G30u+8s3Oe6rI0I/Y
 yx5fmNIYJ+oFNa2alG/PJsnsCWczoz7HUPUPA4Gs0Y78pz6JnGymWiS9M35bOuOgiJLspOpIX
 rcR90kkG/9tXmuVDxR5oTtIs22nGAJ7YFyrhNKR1CuQOYXhL+kKzrCUk9M1u9AV8oMb3a02s0
 ESvlzrHYeepBhm2on9WQjoC9QUuBfY9eq8s4fzfYg07V85uXdMkHdYcrqWrD4WWiZWldpIOpD
 M4tltSEIQ/z38+sNX3IPXjso1iqR3fohd5kp81TnjGlvmf1q9GZIFURdBfKe138BuloDgnTon
 MEJesFdLZ85lv5N1F3zMhxy3/pZha9JuSKDqP+8F2ZoP00EEi6eZLEBDT/kBkW3mBupQK6D6d
 N7ZqCh11hXpw3xO8Y8cz91PKkhQYxoUBKYoyWFAaRlgUuROTmG6kLXc0UMPXdgcivkYbxMAWX
 WkqdHkl2MtWsva5XAUITEHeI3aFYo+kxQBZhdZmjFatfJOvh1tKz12xSDWfC4lwLiiSQCkZKM
 zPVZ2FttYeFgEMlcen6y6EkKqMQPmlOrE/R/V6tsqAE7Y4UKX3EnKZM3ava98HRUbayJiA5Bd
 sx16QAFOrmYTcZ8JkLPhOP8wj4GNRZgZwdwxGgVfaKAn9EdDuD2ATJvecJDPeEh/cudbeCVw7
 cRqt+98Ug/A3j9Lv2q+gJuRFXC97HKfT5KlpdnKPpyxYRnh+RTVcRKw/kMgRjlN3e8odGPKHx
 Opl2QayrnbDNLy7JTUVDBobH1xM=
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 65600
Cc: 65600 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.2 (-----)

Karl Berry <karl@HIDDEN>, Fri Sep 01 2023 00:28:04 GMT+0200
(Central European Summer Time)
>      One way to maintain compatibility
>
> Thank you very much, Nick. That is all excellent to know.
>
> Bogdan: I will adjust the patch, one way or another.
> Nothing more for you to do here after all :). --thanks, karl.


  Okay, no problem. Happy to have "triggered" this to move forward :)

=2D-
Regards - Bogdan ('bogdro') D.                 (GNU/Linux & FreeDOS)
X86 assembly (DOS, GNU/Linux):    http://bogdro.evai.pl/index-en.php
Soft(EN): http://bogdro.evai.pl/soft  http://bogdro.evai.pl/soft4asm
www.Xiph.org  www.TorProject.org  www.LibreOffice.org  www.GnuPG.org





Information forwarded to automake-patches@HIDDEN:
bug#65600; Package automake-patches. Full text available.

Message received at 65600 <at> debbugs.gnu.org:


Received: (at 65600) by debbugs.gnu.org; 31 Aug 2023 22:28:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 31 18:28:19 2023
Received: from localhost ([127.0.0.1]:59415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qbq9A-0000AJ-3W
	for submit <at> debbugs.gnu.org; Thu, 31 Aug 2023 18:28:19 -0400
Received: from frenzy.freefriends.org ([198.99.81.75]:44828
 helo=freefriends.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <karl@HIDDEN>) id 1qbq98-0000AC-SL
 for 65600 <at> debbugs.gnu.org; Thu, 31 Aug 2023 18:28:15 -0400
X-Envelope-From: karl@HIDDEN
Received: from freefriends.org (localhost [127.0.0.1])
 by freefriends.org (8.14.7/8.14.7) with ESMTP id 37VMS5iC023091
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT); 
 Thu, 31 Aug 2023 16:28:05 -0600
Received: (from apache@localhost)
 by freefriends.org (8.14.7/8.14.7/Submit) id 37VMS4Ee023090;
 Thu, 31 Aug 2023 16:28:04 -0600
Date: Thu, 31 Aug 2023 16:28:04 -0600
Message-Id: <202308312228.37VMS4Ee023090@HIDDEN>
From: Karl Berry <karl@HIDDEN>
To: nbowler@HIDDEN
Subject: Re: [bug#65600] [PATCH] Allow parameters AM_PROG_LEX
In-Reply-To: <CADyTPEzzMi0A_yfarc9YXW+Ut_E8wgXgi_ow0NBjFjaE8D0B=Q@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 65600
Cc: 65600 <at> debbugs.gnu.org, bogdro_rep@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

    One way to maintain compatibility 

Thank you very much, Nick. That is all excellent to know.

Bogdan: I will adjust the patch, one way or another.
Nothing more for you to do here after all :). --thanks, karl.




Information forwarded to automake-patches@HIDDEN:
bug#65600; Package automake-patches. Full text available.

Message received at 65600 <at> debbugs.gnu.org:


Received: (at 65600) by debbugs.gnu.org; 31 Aug 2023 16:14:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 31 12:14:46 2023
Received: from localhost ([127.0.0.1]:56877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qbkJi-0002C5-0t
	for submit <at> debbugs.gnu.org; Thu, 31 Aug 2023 12:14:46 -0400
Received: from mail-ua1-x92a.google.com ([2607:f8b0:4864:20::92a]:52512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nbowler@HIDDEN>) id 1qbkJc-0002Bp-2L
 for 65600 <at> debbugs.gnu.org; Thu, 31 Aug 2023 12:14:43 -0400
Received: by mail-ua1-x92a.google.com with SMTP id
 a1e0cc1a2514c-7a2785e34b6so433373241.1
 for <65600 <at> debbugs.gnu.org>; Thu, 31 Aug 2023 09:14:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=draconx-ca.20230601.gappssmtp.com; s=20230601; t=1693498466; x=1694103266;
 darn=debbugs.gnu.org; 
 h=cc:to:subject:message-id:date:from:references:in-reply-to
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=ucEL6UNz0K7GazUt98wZoPCN++kCmZEiuUkWYwuVxpY=;
 b=t66F3GG9G1KndBMIkoHGVJS1U7QdzkS/VFN+evlfQRGfu0mMwqTOSBi3VcFYp5I1ey
 nTiq82g9ztV3bk/vn+dA7kK+ryyl/pCD8AbbQiMdYj4l45OMBZhucgqU4DdEPkouE68+
 lsJ5TLVt98g0+MxDl1t4HYnSoG/PCV7G+DQlEw5hkohccVC+Z2Xe8Q7ZL8gj5fNyhcT0
 VcvKPf/kStQjb/IbZVV0xnVI70YmmTJMU6UbawIh3Th3Xge/hq5GwXeKsg2JKwVJ4VIq
 /u3d5sEjoAByORlrua0V/L19EWAtE46SDlbd5wFVbtBLxBxGqk3jMochOBFYv1K8kaIa
 8XUQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20221208; t=1693498466; x=1694103266;
 h=cc:to:subject:message-id:date:from:references:in-reply-to
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=ucEL6UNz0K7GazUt98wZoPCN++kCmZEiuUkWYwuVxpY=;
 b=fZ0+DduBsm4/Lz3mOnzsrsxcep0Z7ep2nmdKMfbN1/XSyGMz/rgKda2e//R9sg42j4
 nthhs2/3g8VGpqPcraxobZIL6nO35RSLEW+4cUiQ8q27t/soPHBN2wumXNFIyaco54Ud
 LjvV8oW+TVtgpEX3V7WcZBfzXoGzjQMWSW8XVPxM8/tXlvxiTC1qpoC4cDx0MpXjVasw
 tSCNuycyT9tht0k1GSqu6kSogtAgEenLvgAj9ECDAUsng3eL23YDhNS4N8WKHCSlhTiX
 KUpdNh9b69brUnVMyMGuu2gM2gqKJb5KRpaeV37GqtDRpbYFmzvjfwyFqJ+u1juvsdTm
 KrqQ==
X-Gm-Message-State: AOJu0YygG4Nv5eKjS6a5cLPm9xP/11nwMw0v0ghLNCdXkStkNideBbrV
 +jkeMyJ5qx8GGVZj+HMAkKYTQMMqq2KAh65y3UKwfA==
X-Google-Smtp-Source: AGHT+IFjHKeJ4yC3uVW+onDkDR96zZSl3JzieNV4n0LMVDOdGCgk7tdi8JecmUo1oo1rbp3ZbYvijKwL00UKG8CZxOw=
X-Received: by 2002:a67:f4c2:0:b0:44e:9674:7781 with SMTP id
 s2-20020a67f4c2000000b0044e96747781mr16928vsn.15.1693498466155; Thu, 31 Aug
 2023 09:14:26 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:ab0:324c:0:b0:794:1113:bb24 with HTTP; Thu, 31 Aug 2023
 09:14:25 -0700 (PDT)
X-Originating-IP: [162.243.96.244]
In-Reply-To: <202308311549.37VFndAr030556@HIDDEN>
References: <f3d7302f-6064-be91-51cc-e5f1a30fa5e5@HIDDEN>
 <202308311549.37VFndAr030556@HIDDEN>
From: Nick Bowler <nbowler@HIDDEN>
Date: Thu, 31 Aug 2023 12:14:25 -0400
Message-ID: <CADyTPEzzMi0A_yfarc9YXW+Ut_E8wgXgi_ow0NBjFjaE8D0B=Q@HIDDEN>
Subject: Re: [bug#65600] [PATCH] Allow parameters AM_PROG_LEX
To: Karl Berry <karl@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 65600
Cc: 65600 <at> debbugs.gnu.org, bogdro_rep@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 31/08/2023, Karl Berry <karl@HIDDEN> wrote:
> Hi Bogdan,
>
>     In reference to:
>     https://lists.gnu.org/archive/html/automake/2023-07/msg00007.html.
>
> Thanks much!
>
>     Since it's Autoconf 2.70 that started using the parameter, I've
>     bumped the required value.
>
> I don't think we should require the brand-new ac 2.70 just for this
> minor feature.  And I think it should be feasible not to: if the
> autoconf version is >= 2.70, your new code runs; if <2.70, just ignore
> any given argument.  That way people can use the new automake macro with
> an older autoconf.

One way to maintain compatibility while ensuring the new options actually
are supported would be to just add the AC_PREREQ([2.70]) only in the cases
which actually trigger different behaviour in new Autoconf (i.e., the ones
that match yywrap and noyywrap options).  Keep the old prereq unchanged
outside of the case.

That way, the minimum autoconf version requirement is only triggered
for autoconf inputs that actually attempt to use the new feature (by
explicitly passing yywrap or noyywrap options to AM_PROG_LEX).

To implement a "fall back to old behaviour with old autoconf, even if
the user explicitly selected the new behaviour", then you can just not
touch AC_PREREQ at all.  There is no need for any version tests: old
versions of autoconf simply ignore any supplied arguments to
AC_PROG_LEX and always use the old behaviour.

Finally, one way to check whether AC_PROG_LEX accepts an argument is to
just use m4 to look for argument references in its definition, something
like:

  m4_bmatch(m4_defn([AC_PROG_LEX]), [[$][1@*]],
    [m4_errprintn([new lex macro])],
    [m4_errprintn([old lex macro])])

then you don't need to test autoconf version numbers at all.

Cheers,
  Nick




Information forwarded to automake-patches@HIDDEN:
bug#65600; Package automake-patches. Full text available.

Message received at 65600 <at> debbugs.gnu.org:


Received: (at 65600) by debbugs.gnu.org; 31 Aug 2023 15:49:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 31 11:49:52 2023
Received: from localhost ([127.0.0.1]:56831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qbjvc-0001Y3-1d
	for submit <at> debbugs.gnu.org; Thu, 31 Aug 2023 11:49:52 -0400
Received: from frenzy.freefriends.org ([198.99.81.75]:39592
 helo=freefriends.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <karl@HIDDEN>) id 1qbjvZ-0001Xu-Hw
 for 65600 <at> debbugs.gnu.org; Thu, 31 Aug 2023 11:49:50 -0400
X-Envelope-From: karl@HIDDEN
Received: from freefriends.org (localhost [127.0.0.1])
 by freefriends.org (8.14.7/8.14.7) with ESMTP id 37VFneRu030557
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT); 
 Thu, 31 Aug 2023 09:49:40 -0600
Received: (from apache@localhost)
 by freefriends.org (8.14.7/8.14.7/Submit) id 37VFndAr030556;
 Thu, 31 Aug 2023 09:49:39 -0600
Date: Thu, 31 Aug 2023 09:49:39 -0600
Message-Id: <202308311549.37VFndAr030556@HIDDEN>
From: Karl Berry <karl@HIDDEN>
To: bogdro_rep@HIDDEN
Subject: Re: [bug#65600] [PATCH] Allow parameters AM_PROG_LEX
In-Reply-To: <f3d7302f-6064-be91-51cc-e5f1a30fa5e5@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 65600
Cc: 65600 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Bogdan,

    In reference to:
    https://lists.gnu.org/archive/html/automake/2023-07/msg00007.html.

Thanks much!

    Since it's Autoconf 2.70 that started using the parameter, I've
    bumped the required value. 

I don't think we should require the brand-new ac 2.70 just for this
minor feature.  And I think it should be feasible not to: if the
autoconf version is >= 2.70, your new code runs; if <2.70, just ignore
any given argument.  That way people can use the new automake macro with
an older autoconf.

I'm no expert on checking autoconf versions, but from glancing through
the autoconf manual, it looks like m4_version_prereq might be the
simplest to use in this case. It was officially added in ac 2.66, which
should be old enough. It's described at the end of
https://www.gnu.org/savannah-checkouts/gnu/autoconf/manual/autoconf-2.71/autoconf.html#Number-processing-Macros

Wdyt? Can you tweak your patch along these lines?

Thanks again,
Karl




Information forwarded to automake-patches@HIDDEN:
bug#65600; Package automake-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Aug 2023 18:57:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 29 14:57:03 2023
Received: from localhost ([127.0.0.1]:51572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qb3tP-00029f-RY
	for submit <at> debbugs.gnu.org; Tue, 29 Aug 2023 14:57:03 -0400
Received: from lists.gnu.org ([2001:470:142::17]:49914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bogdro_rep@HIDDEN>) id 1qb3tK-00029N-Fw
 for submit <at> debbugs.gnu.org; Tue, 29 Aug 2023 14:56:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bogdro_rep@HIDDEN>) id 1qb3t6-0007bE-QW
 for automake-patches@HIDDEN; Tue, 29 Aug 2023 14:56:29 -0400
Received: from mout.gmx.net ([212.227.15.15])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bogdro_rep@HIDDEN>) id 1qb3t3-0004Ky-8u
 for automake-patches@HIDDEN; Tue, 29 Aug 2023 14:56:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.us;
 s=s31663417; t=1693335382; x=1693940182; i=bogdro_rep@HIDDEN;
 bh=EbZLMCQ7lMGjBJkvZh7Sknccdwo2ZOI5VMYpQ6rouxM=;
 h=X-UI-Sender-Class:Date:To:From:Subject;
 b=DO+QknoeMLzl4Oz5nqjHeNvN2oVzySsqIeMut7hHNT+FbtpCJ4QOIrPrxCr1VQ3RQjGFkGD
 Uzw7QSqUbqz9X7lT67FsbSUM7BWYaBdno6mG0NvxsFijxCgCS6nCTlUBZ3oIFoa6KICMN8gMq
 +W+F7XhMm/8rrjs1bq7XzsHTSpTeyR48FscTgOPTVT/NODltj6VK+3ssVI7fkrdf9jHRWROSc
 ijBlNVAed9FC900wDCScrDd5HWyru1BRmVUfpAdBO5x9B3hUSroKyv1EMXfwxukdXJpIQcCP3
 +5cLbcBiSLRVtH/59Jb/gzoFvkad+jnYE5GtW6HaRNIoHzlL7kuA==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from [192.168.0.4] ([83.255.207.180]) by mail.gmx.net (mrgmx004
 [212.227.17.184]) with ESMTPSA (Nemesis) id 1MnJhO-1ps4262Mp2-00jKIf for
 <automake-patches@HIDDEN>; Tue, 29 Aug 2023 20:56:22 +0200
Content-Type: multipart/mixed; boundary="------------QZthki00h6AUNTHubGqBsLvD"
Message-ID: <f3d7302f-6064-be91-51cc-e5f1a30fa5e5@HIDDEN>
Date: Tue, 29 Aug 2023 20:56:18 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.14.0
To: automake-patches@HIDDEN
Content-Language: en-GB
From: Bogdan <bogdro_rep@HIDDEN>
Subject: [PATCH] Allow parameters AM_PROG_LEX
X-Provags-ID: V03:K1:VNQmQwa1gMCZjboG9L4vwmP/PQOkv1T5XuilRH6VSWTLkqIEDrj
 LU7qYqzL7votHqyv5RNNCi25rpmzjY+GnIKF93gpJwoMT7B+v5dfP+N74amubtfNvn1kul6
 TprmU0WlGxhbFk/rQ4R3Uxl1kR4X0zbazdSGJ7S8IDiyXEuTGpNnieCjKNO7RpYNOcQdJzL
 3Ts/4DTEH2KRd7DON8gDQ==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:sxlRsTCxu18=;ZWwahRochv+0UmUcniM8CUAQLh4
 8/Kb4xS83ZVDCC2O4UOWya4psvt4/kN6qJHE4eN64sT68/LZQvrwAHpRLXh2voxqCs/QLz2fl
 Rb0l69B90HaOjZMuAEhdBpf3DEJWUj918B7TiyEMT9CCq7t4uIGYvIqUfJjTyzqx8wUAHLsUN
 q+T8KEb6Uw4hTI9nMYgKliGYNG3G7jnMryXOyWrwYSoOdNRF9y5AUJGrOWdndMAm8cUBCS2W/
 cmPImt0jUNipO9904Ijqwmm49oeD0tP3UzAQ1QECNWy+j0r8RQrj66qEHK3ZlZpy1XtFRLvXW
 xFK19fbLw32AD5JWcHLXBnP3dGYpFRlgrhy2ntorCRioQtqbdlGctJkQwzbZIFN+YEj5U1ytW
 K1jy59p1YIYPBJkuUNLht1CgNmSB6nqguHLxgdajPEVr0uSbzhQwKNl/UyMuo1PBgjh2I4Ms1
 /FDVA1SCutV37UMVFMIm4gOa2ILcmhg8QUGllKle3GjZUk5Ek02W//r3nZE34QbScSsqILBxR
 vKqounSehy9nTRFIZzsRehHeMeP/h7iq//IAXkFlQBW76WvdHO/mvevG37FEzz+W33I9g/qm1
 vVQ+7lYx6uooAIWbnxTzvzciciUteoGNOo401U/g0wWKQx0jR6hcNa2ULnaAA47RZLjFThWwj
 5jVhPK8SwMdEQvnyDg2Sn/IZU00Xg6G+6KZdzj+FjHqOtmbrJZAAmSRvtFV8DJ5U1vS1fqtgn
 D2ZHeHELo7VDFN/aU1gE+lSfoSDwHQ2a4FSAFD+jsw6gxXMhui2zmnp4HI79wvuR7tM9aK2mA
 GuZu/a+WZC5gMb+VWqR1kw3XVABMtlJkzvL9wk0AcT507XBYR1tPmPx9a8BOOOXeStvBmrBOc
 2qG1Kx1SjUMWL7ZbWlvjFum41uP0/diaR+81EbfknfL2ljMMZ1bn+7hdLpIM1ljfqgYuQCo2W
 rUkclsDvFIpBvf8ijR8TEd+9GKE=
Received-SPF: pass client-ip=212.227.15.15; envelope-from=bogdro_rep@HIDDEN;
 helo=mout.gmx.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------QZthki00h6AUNTHubGqBsLvD
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi.

  In reference to:
https://lists.gnu.org/archive/html/automake/2023-07/msg00007.html.

  The attached patch allows the AM_PROG_LEX macro to accept
parameters, to accommodate for the fact that AC_PROG_LEX now (since
Autoconf 2.70) requires one. The values accepted by AM_PROG_LEX are
passed to AC_PROG_LEX the following way:
- an empty value is passed as empty, resulting in an Autoconf warning
(just like it is now),
- the word 'yywrap' is passed unchanged,
- the word 'noyywrap' is passed unchanged,
- the word 'empty' results in an empty value (and thus an Autoconf
warning)
- any other word results in a syntax warning and an empty value being
passed (resulting in an Autoconf warning).

  Since it's Autoconf 2.70 that started using the parameter, I've
bumped the required value. You may change back if needed.

  My M4 "knowledge" is simply basing on other examples and doing
whatever that doesn't result in an error, so you may change the code
as needed (m4_define, m4_warn, m4_expand).

  Test for the parameters is added. All tests matching *lex*sh pass.
+11-20s to testing time.

=2D-
Regards - Bogdan ('bogdro') D.                 (GNU/Linux & FreeDOS)
X86 assembly (DOS, GNU/Linux):    http://bogdro.evai.pl/index-en.php
Soft(EN): http://bogdro.evai.pl/soft  http://bogdro.evai.pl/soft4asm
www.Xiph.org  www.TorProject.org  www.LibreOffice.org  www.GnuPG.org

--------------QZthki00h6AUNTHubGqBsLvD
Content-Type: text/x-patch; charset=UTF-8;
 name="automake-am_prog_lex-params-mail.diff"
Content-Disposition: attachment;
 filename="automake-am_prog_lex-params-mail.diff"
Content-Transfer-Encoding: base64
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--------------QZthki00h6AUNTHubGqBsLvD--




Acknowledgement sent to Bogdan <bogdro_rep@HIDDEN>:
New bug report received and forwarded. Copy sent to automake-patches@HIDDEN. Full text available.
Report forwarded to automake-patches@HIDDEN:
bug#65600; Package automake-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 6 Sep 2023 21:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.